import type { ProgressBar } from "../classes/ProgressBar.js";
import { GenerateArguments } from "../commands/Generate.js";
import type { Config } from "../types/interfaces/Config.js";
import type { Connection } from "../types/interfaces/Connection.js";
import type { FetchedData } from "../types/interfaces/FetchedData.js";
export declare class Fetcher {
    private readonly config;
    private readonly progressBar;
    private readonly connection;
    private readonly generatorConfig?;
    private client;
    private dbName;
    private tables;
    private dataTypes;
    private classes;
    private attributes;
    private constraints;
    private LOGGER;
    constructor(config: Config, progressBar: ProgressBar, connection: string | Connection, generatorConfig?: GenerateArguments<boolean> | undefined);
    connect(): Promise<void>;
    private setDatabaseName;
    private get formatted_connection_string();
    private get schema_names();
    fetchTables(): Promise<void>;
    fetchDataTypes(): Promise<void>;
    fetchClasses(): Promise<void>;
    fetchAttributes(): Promise<void>;
    fetchConstraints(): Promise<void>;
    get fetchedData(): FetchedData;
    disconnect(): Promise<void>;
}
