import { PrinterContext } from "../classes/PrinterContext.js";
import type { ClassDetails } from "../types/interfaces/ClassDetails.js";
import type { Config } from "../types/interfaces/Config.js";
import type { FetchedData } from "../types/interfaces/FetchedData.js";
import type { FileContext } from "../types/interfaces/FileContext.js";
import type { DataType } from "../types/types/DataType.js";
export declare class Printer {
    readonly config: Config;
    readonly data: FetchedData[];
    readonly arguments_: Record<string, any>;
    readonly classes: Map<number, ClassDetails>;
    readonly types: Map<number, DataType>;
    readonly context: PrinterContext;
    private LOGGER;
    constructor(config: Config, data: FetchedData[], arguments_: Record<string, any>);
    getClass(id: number): ClassDetails | undefined;
    private _getTypeOverride;
    getTypeScriptType(id: number, file: FileContext, maxLength?: number): string;
    private _getParserOverride;
    getParserType(id: number, file: FileContext, maxLength?: number): string;
    print(): Promise<void>;
    private writeFiles;
    private getAllFiles;
    private pad;
    private getDebugConfigType;
}
