import { z } from "zod";
import { zConnection } from "../interfaces/Connection.js";
import { zTypesConfig } from "../interfaces/TypesConfig.js";
export const zConfig = z.object({
    connectionStringEnvironmentVariable: z.string().default("DATABASE_URL"),
    connections: z
        .string()
        .or(z.array(z.string()))
        .or(zConnection)
        .or(z.array(zConnection))
        .default("postgres://postgres:postgres@localhost:5432/postgres?sslmode=disable"),
    schemas: z.string().or(z.array(z.string())).or(z.number()).or(z.array(z.number())).default("*"),
    tables: z.string().or(z.array(z.string())).or(z.number()).or(z.array(z.number())).default("*"),
    types: zTypesConfig.default({}),
    type: z.union([z.literal("esm"), z.literal("cjs")]).default("cjs"),
});
const cfg = zConfig.safeParse({}).data;
export const DEFAULT_CONFIG = cfg;
//# sourceMappingURL=Config.js.map