import { z } from "zod";
export interface Connection {
    /**
     * The hostname of the postgres database
     * @default "postgres"
     */
    host: string;
    /**
     * The port of the postgres database
     * @default 5432
     */
    port: number;
    /**
     * The username of the postgres database
     * @default "postgres"
     */
    user: string;
    /**
     * The password of the postgres database
     * @default undefined
     */
    password?: string;
    /**
     * The name of the postgres database
     * @default "postgres"
     */
    database: string;
}
export declare const zConnection: z.ZodObject<{
    host: z.ZodDefault<z.ZodString>;
    port: z.ZodDefault<z.ZodNumber>;
    user: z.ZodDefault<z.ZodString>;
    password: z.ZodOptional<z.ZodString>;
    database: z.ZodDefault<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    password?: string | undefined;
    host: string;
    port: number;
    user: string;
    database: string;
}, {
    host?: string | undefined;
    port?: number | undefined;
    user?: string | undefined;
    password?: string | undefined;
    database?: string | undefined;
}>;
