import { z } from "zod";
import { zImportStatement } from "./ImportStatement.js";
export const zTypesConfig = z.object({
    directory: z.string().default("__generated__"),
    debug: z.boolean().default(false),
    debugFileName: z.string().default("debug_{{ TIMESTAMP }}.json"),
    domainTypeName: z.string().default("{{ TYPE_NAME | pascal-case }}"),
    domainFileName: z.string().default("_custom_types.ts"),
    domainDataTypeName: z.string().default("{{ TYPE_NAME | pascal-case }}_Data"),
    domainDataFileName: z.string().default("_custom_types.ts"),
    enumTypeName: z.string().default("{{ TYPE_NAME | pascal-case }}"),
    enumFileName: z.string().default("databases/{{ DATABASE_NAME }}/enums/{{ TYPE_NAME }}.ts"),
    primaryKeyTypeName: z.string().default("{{ TABLE_NAME | pascal-case }}_PrimaryKey"),
    primaryKeyFileName: z.string().default("databases/{{ DATABASE_NAME }}/{{ SCHEMA_NAME }}/{{ TABLE_NAME }}.ts"),
    tableTypeName: z.string().default("{{ TABLE_NAME | pascal-case }}"),
    tableFileName: z.string().default("databases/{{ DATABASE_NAME }}/{{ SCHEMA_NAME }}/{{ TABLE_NAME }}.ts"),
    tableDataTypeName: z.string().default("{{ TABLE_NAME | pascal-case }}_Data"),
    tableDataFileName: z.string().default("databases/{{ DATABASE_NAME }}/{{ SCHEMA_NAME }}/{{ TABLE_NAME }}.ts"),
    tableInsertParametersTypeName: z.string().default("{{ TABLE_NAME | pascal-case }}_InsertParameters"),
    tableInsertParametersFileName: z.string().default("databases/{{ DATABASE_NAME }}/{{ SCHEMA_NAME }}/{{ TABLE_NAME }}.ts"),
    tableInsertParametersDataTypeName: z.string().default("{{ TABLE_NAME | pascal-case }}_InsertParameters_Data"),
    tableInsertParametersDataFileName: z.string().default("databases/{{ DATABASE_NAME }}/{{ SCHEMA_NAME }}/{{ TABLE_NAME }}.ts"),
    schemaTypeName: z.string().default("{{ SCHEMA_NAME | pascal-case }}"),
    schemaFileName: z.string().default("databases/{{ DATABASE_NAME }}/{{ SCHEMA_NAME }}.ts"),
    schemaDataTypeName: z.string().default("{{ SCHEMA_NAME | pascal-case }}_Data"),
    schemaDataFileName: z.string().default("databases/{{ DATABASE_NAME }}/{{ SCHEMA_NAME }}.ts"),
    databaseTypeName: z.string().default("{{ DATABASE_NAME | pascal-case }}"),
    databaseFileName: z.string().default("databases/{{ DATABASE_NAME }}.ts"),
    databaseDataTypeName: z.string().default("{{ DATABASE_NAME | pascal-case }}_Data"),
    databaseDataFileName: z.string().default("databases/{{ DATABASE_NAME }}.ts"),
    fullExportTypeName: z.string().default("Databases"),
    fullExportFileName: z.string().default("index.ts"),
    fullExportDataTypeName: z.string().default("Databases_Data"),
    fullExportDataFileName: z.string().default("index.ts"),
    columnTypeOverrides: z.record(z.optional(z.string())).default({}),
    typeOverrides: z.record(z.optional(z.string())).default({}),
    columnParserOverrides: z.record(z.optional(z.tuple([z.string(), z.array(zImportStatement)]))).default({}),
    parserOverrides: z.record(z.optional(z.tuple([z.string(), z.array(zImportStatement)]))).default({}),
});
//# sourceMappingURL=TypesConfig.js.map